Overview | Modules | Class Hierarchy | Classes | Members

# Array.h File Reference

`#include <cassert>`
`#include <iostream>`
`#include <tulip/tulipconf.h>`
`#include "./cxx/Array.cxx"`

Include dependency graph for Array.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- struct tlp::Array< Obj, SIZE >
    class for array encapsulation More...

## Functions

- template<typename Obj, unsigned int SIZE> std::ostream & tlp::operator<< (std::ostream &os, const Array< Obj, SIZE > &)
- template<typename Obj, unsigned int SIZE> std::istream & tlp::operator>> (std::istream &is, Array< Obj, SIZE > &)

Tulip Software by LaBRI Visualization Team 2001 - 2010